Criar Link de Pagamento
curl --request POST \
--url https://api.dooki.com.br/v2/{alias}/checkout/payment-link \
--header 'Content-Type: application/json' \
--header 'User-Secret-Key: <api-key>' \
--header 'User-Token: <api-key>' \
--data '
{
"name": "<string>",
"active": true,
"skus": [
{
"id": 123,
"quantity": 123
}
],
"promocode_id": 123,
"customer_id": 123,
"customer_address_id": 123
}
'import requests
url = "https://api.dooki.com.br/v2/{alias}/checkout/payment-link"
payload = {
"name": "<string>",
"active": True,
"skus": [
{
"id": 123,
"quantity": 123
}
],
"promocode_id": 123,
"customer_id": 123,
"customer_address_id": 123
}
headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'User-Token': '<api-key>',
'User-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
active: true,
skus: [{id: 123, quantity: 123}],
promocode_id: 123,
customer_id: 123,
customer_address_id: 123
})
};
fetch('https://api.dooki.com.br/v2/{alias}/checkout/payment-link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"link_url": "<string>",
"name": "Seu Link de Pagamento",
"whatsapp": {
"message": "Olá, aqui está o seu link de pagamento: {link}",
"link": "<string>"
}
}Links de Pagamento
Criar Link de Pagamento
Cria um novo link de pagamento
POST
/
{alias}
/
checkout
/
payment-link
Criar Link de Pagamento
Path Parameters
Alias da loja
Body
application/json
Request para criação e atualização de links de pagamento
Nome do link de pagamento
Required string length:
1 - 100Status do link de pagamento
Lista de SKUs associados ao link de pagamento
Show child attributes
Show child attributes
ID do código promocional
ID do cliente
ID do endereço do cliente
Was this page helpful?
⌘I